"""Tests Base"""

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

from entertainerlib.frontend.gui.widgets.base import Base
from entertainerlib.tests import EntertainerTest

class BaseTest(EntertainerTest):
    """Test for entertainerlib.frontend.gui.widgets.base"""

    def setUp(self):
        """Set up the test"""
        EntertainerTest.setUp(self)

        self.base = Base()

    def tearDown(self):
        """Clean up after the test"""
        EntertainerTest.tearDown(self)

    def testCreate(self):
        """Test Base object creation"""
        self.assertTrue(isinstance(self.base, Base))

    def testGetAbsX(self):
        """Test getting the absolute size of x based on the stage width"""
        self.assertEqual(self.base.get_abs_x(.25), 341)

    def testGetAbsY(self):
        """Test getting the absolute size of y based on the stage height"""
        self.assertEqual(self.base.get_abs_y(.25), 192)

